=== debian/changelog ===
libsdl-sge (030809dfsg-6) unstable; urgency=medium

  * Upload to rebuild against GCC-5 >= 5.2 in all arches for the
    GCC-5/C++11 ABI change transition (that version was not the default on
    all arches at the time)
  * Update URL in Vcs-Browser
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 24 Aug 2015 16:32:35 +0100

libsdl-sge (030809dfsg-5) unstable; urgency=medium

  * Bump Policy Standars-Version to 3.9.6 (no changes needed)
  * Rebuild against GCC-5 (Closes: #791165)
  * Enable parallel compilation with dh
  * Fix mispelling in d/copyright (detected by lintian)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Aug 2015 10:41:47 +0100

libsdl-sge (030809dfsg-4) unstable; urgency=low

  * debian/rules:
    - Override dh_compress to not compress files under examples/ (they are tiny
      and cause issues with Multi-arch) (Closes: #720028)
    - Enable more parts of build hardening by passing default LDFLAGS as well as
      CFLAGS (the basic build system did not account for this).  Also had to
      modify patch 001_makefile_fixes.diff in the process.
  * debian/control:
    - Bump Policy Standars-Version to 3.9.4 (no changes needed)
    - Change maintainer address to @debian.org
    - Remove obsolete "DM-Upload-Allowed: yes"
    - Remove now unneeded Build-Depends on "dpkg-dev (>= 1.16.1~)"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 17 Aug 2013 23:43:32 +0100

libsdl-sge (030809dfsg-3) unstable; urgency=low

  * Complete overhaul of the package:
    - debian/source/format to '3.0 (quilt)'
    - Extensive modifications for debhelper compat v9, including Multi-Arch,
      build-hardening and all goodies
    - Bump Policy Standars-Version to 3.9.3
    - debian/copyright rewritten with appropriate standard format
    - Revisit all patches
    - Remove all previous maintainers, inactive/unresponsive for years
    - Add lintian override for SONAME/package name mismatch
    - watch: updated to take dfsg suffix into account

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 13 May 2012 14:34:48 +0200

libsdl-sge (030809dfsg-2) unstable; urgency=low

  * debian/patches/100_font.diff:
    + use ttf-dejavu-core instead of ttf-bitstream-vera.
  * debian/control:
    + Suggest ttf-dejavu-core instead of ttf-bitstream-vera (Closes: #461268).
    + bumped Standards-Version to 3.7.3 (no changes).
  * debian/copyright:
    + Recode into UTF-8.
  * debian/rules:
    + don't ignore make clean error.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Jan 2008 00:15:46 +0100

libsdl-sge (030809dfsg-1) unstable; urgency=high

  * Remove non-free font from the original tarball (Closes: #393747).

  * debian/control:
    + Suggest ttf-bitstream-vera as a replacement for the font.
  * debian/patches/100_font.diff:
    + New patch to use ttf-bitstream-vera instead of the old non-free font.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 23 Oct 2006 16:33:23 +0200

libsdl-sge (030809-3) unstable; urgency=low

  * 006_freetype2_fixes.diff:
    + Fix from freetype2 upstream that removes usage of internal structures
      (Closes: #370685).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Jun 2006 22:51:55 +0200

libsdl-sge (030809-2) unstable; urgency=low

  [ Aurelien Jarno ]

  * debian/patches/015_overflow.diff: fix and overflow in sge_collision.cpp. 
  * debian/control: bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 13 May 2006 23:01:51 +0200

libsdl-sge (030809-1) unstable; urgency=low

  [ Sam Hocevar ]

  * Included changes from an NMU prepared by Nathanael Nerode. Thanks.
  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
    + This version adds new symbols to the lib. Use dh_makeshlibs -V '...'.
    + Do not compress examples.
  * debian/control:
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.
    + Build-depend on debhelper (>= 4.0).
  * debian/compat:
    + Set compatibility level to 4.
  * debian/copyright:
    + Updated the FSF address.

  * debian/patches/001_makefile_fixes.diff:
  * debian/patches/005_freetype_support.diff:
    + Moved old diff to the quilt patch system.

  * debian/patches/004_legacy_functions.diff:
    + Added empty legacy functions to maintain backwards binary compatibility
      with C programs. These functions were not supposed to be used.

  * debian/patches/010_examples.diff:
    + Fixed the examples makefile so that they can also be compiled outside
      the SGE build tree (Closes: #318973).

  [ Nathanael Nerode ]

  * New upstream release (Closes: #336497).  The new upstream doesn't change
    very much, but it does integrate a lot of the Debian diffs, and it is
    over two years old already.
  * We export the C++ interface for the first time, since it is no longer
    incompatible with exporting the C interface.  Because we *previously*
    exported only the C interface, we don't need to change library names etc.
  * Rebuild with new toolchain (Closes: #332833)
  * Added watch file.
  * Standards-Version 3.6.2.0 (no changes necessary).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  3 Mar 2006 17:41:16 +0100

libsdl-sge (020904-5) unstable; urgency=low

  * Makefile:
    + #define _SGE_C in sge_config.h if C_ONLY is defined (Closes: #230954).
  * debian/control:
    + libsdl-sge-dev now only depends on libsdl-sge (>= 020904-4).
    + Set the source section to "devel".

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 16 Feb 2004 10:33:16 +0100

libsdl-sge (020904-4) unstable; urgency=low

  * sge_tt_text.cpp:
    + Use freetype macros to include freetype headers (Closes: #230591).
  * debian/control:
    + Set libfreetype6-dev build dependency to (>= 2.0.1.20010317-1).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Feb 2004 15:13:37 +0100


