=== debian/control ===
Source: libsdl-sge
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9~),
               libfreetype6-dev (>= 2.4.2),
               libsdl1.2-dev (>= 1.2.14~),
               libsdl-image1.2-dev (>= 1.2.12~)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl-sge.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl-sge.git
Homepage: http://www.digitalfanatics.org/cal/sge/
Testsuite: autopkgtest

Package: libsdl-sge
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: extension of graphic functions for SDL multimedia libraries
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the runtime library.

Package: libsdl-sge-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl-sge (= ${binary:Version}),
         libsdl1.2-dev (>= 1.2.14~)
Suggests: ttf-dejavu-core
Description: extension of graphic functions for the SDL multimedia, development files
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the header files and static library needed to
 compile applications that use libsdl-sge.
