=== debian/tests/control ===
Tests: compile-libsdl-sge-test0
Depends: libsdl-sge-dev, build-essential
