=== debian/watch ===
version=3
opts=dversionmangle=s/dfsg$// \
http://www.digitalfanatics.org/cal/sge/download.html \
  (?:.*/)?sge(.*)\.tar\.(?:gz|bz2|lzma|xz)
