## libsdl-sge 030809dfsg-1

=== debian/control ===
Source: libsdl-sge
Section: devel
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stepanov <stepanov.michael@gmail.com>
Build-Depends: debhelper (>= 4.0), quilt, libsdl1.2-dev, libsdl-image1.2-dev, libfreetype6-dev (>= 2.0.1.20010317-1)
Standards-Version: 3.7.2

Package: libsdl-sge
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}
Description: extension of graphic functions for the SDL multimedia library
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the libsdl-sge runtime library.

Package: libsdl-sge-dev
Section: libdevel
Architecture: armel
Depends: libsdl-sge (>= 030809-1), libsdl1.2-dev, libsdl-image1.2-dev, libfreetype6-dev
Suggests: ttf-bitstream-vera
Conflicts: libsdl-sge (<< 020904-1.1)
Replaces: libsdl-sge (<< 020904-1.1)
Description: development files for libsdl-sge
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the header files and static library needed to
 compile applications that use libsdl-sge.
