=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
	SHARED_OBJECT = shared
else
	SHARED_OBJECT = shared-strip
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Build the static library and make a backup
	rm -f libSGE.a
	$(MAKE) all CUSTOM_CFLAGS="$(CFLAGS) -O2"
	rm -f libSGE.bak
	mv libSGE.a libSGE.bak

	# Build the shared library and restore the static backup
	$(MAKE) clean
	$(MAKE) $(SHARED_OBJECT) CUSTOM_CFLAGS="$(CFLAGS) -O2 -fPIC"
	rm -f libSGE.a
	mv libSGE.bak libSGE.a

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -f libSGE.bak
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr PREFIX_H=$(CURDIR)/debian/tmp/usr/include/SDL
	ln -s libsdl-sge $(CURDIR)/debian/libsdl-sge-dev/usr/share/doc/libsdl-sge-dev
	cp docs/*.html $(CURDIR)/debian/libsdl-sge-dev/usr/share/doc/libsdl-sge/html
	cp examples/* $(CURDIR)/debian/libsdl-sge-dev/usr/share/doc/libsdl-sge/examples

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs -plibsdl-sge
	dh_installchangelogs -plibsdl-sge
	dh_link
	dh_strip
	dh_compress -X /examples/
	dh_fixperms
	dh_makeshlibs -V 'libsdl-sge (>= 030809-1)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
