=== debian/watch ===
version=3
http://www.digitalfanatics.org/cal/sge/download.html \
  (?:.*/)?sge(.*)\.tar\.gz
